<script setup>
import { RouterLink, RouterView, useRouter } from "vue-router";
import Sidebar from "../components/Sidebar.vue";
import CardMember from "../components/CardMember.vue";

import Navbar from "../components/Navbar.vue";
import DetailMemberView from "./DetailMemberView.vue";
  
const  router = useRouter()
</script>

<template>
  <div class="main">
    <Sidebar class="drop-shadow-xl" />
    <div v-if="router.currentRoute.value.name === 'home'">
      <Navbar class="z-10" title="Home" />
      <div class="content">
        <div>
          <DetailMemberView />
        </div>
      </div>
    </div>
    <RouterView />
  </div>
</template>

<style scoped>
.main {
  display: flex;
}

.main > *:nth-child(1) {
  flex: 1 1 20%;
  z-index: 20;
}
.main > *:nth-child(2) {
  flex: 1 1 80%;
}

.member_container {
  padding: 20px;
}

.section {
  overflow: hidden;
  background: #d9d9d9;
  width: 90%;
}
</style>